### Hierarchy

- StyleSheet
  - CSSStyleSheet

## Index

### Properties

- StyleSheet
- cssRules
- cssText
- disabled
- href
- id
- imports
- isAlternate
- isPrefAlternate
- media
- ownerNode
- ownerRule
- owningElement
- pages
- parentStyleSheet
- readOnly
- rules
- title
- type

### Methods

- addImport
- addPageRule
- addRule
- deleteRule
- insertRule
- removeImport
- removeRule

## Properties

### StyleSheet

StyleSheet: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14662

#### Type declaration

- ##### constructor: function

  - new __type(): StyleSheet
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14663

    #### Returns StyleSheet

- ##### prototype: StyleSheet

### cssRules

cssRules: CSSRuleList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2917

### cssText

cssText: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2919

deprecated

### disabled

disabled: boolean

Inherited from StyleSheet.disabled

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14653

### href

href: string | null

Inherited from StyleSheet.href

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14654

### id

id: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2921

deprecated

### imports

imports: StyleSheetList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2923

deprecated

### isAlternate

isAlternate: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2925

deprecated

### isPrefAlternate

isPrefAlternate: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2927

deprecated

### media

media: MediaList

Inherited from StyleSheet.media

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14655

### ownerNode

ownerNode: Node

Inherited from StyleSheet.ownerNode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14656

### ownerRule

ownerRule: CSSRule | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2928

### owningElement

owningElement: Element

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2930

deprecated

### pages

pages: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2932

deprecated

### parentStyleSheet

parentStyleSheet: StyleSheet | null

Inherited from StyleSheet.parentStyleSheet

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14657

### readOnly

readOnly: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2934

deprecated

### rules

rules: CSSRuleList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2935

### title

title: string | null

Inherited from StyleSheet.title

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14658

### type

type: string

Inherited from StyleSheet.type

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14659

## Methods

### addImport

- addImport(bstrURL: string, lIndex?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2937
  deprecated

  #### Parameters

  - ##### bstrURL: string

  - ##### Optional lIndex: undefined | number

  #### Returns number

### addPageRule

- addPageRule(bstrSelector: string, bstrStyle: string, lIndex?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2939
  deprecated

  #### Parameters

  - ##### bstrSelector: string

  - ##### bstrStyle: string

  - ##### Optional lIndex: undefined | number

  #### Returns number

### addRule

- addRule(bstrSelector: string, bstrStyle?: undefined | string, lIndex?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2940

  #### Parameters

  - ##### bstrSelector: string

  - ##### Optional bstrStyle: undefined | string

  - ##### Optional lIndex: undefined | number

  #### Returns number

### deleteRule

- deleteRule(index?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2941

  #### Parameters

  - ##### Optional index: undefined | number

  #### Returns void

### insertRule

- insertRule(rule: string, index?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2942

  #### Parameters

  - ##### rule: string

  - ##### Optional index: undefined | number

  #### Returns number

### removeImport

- removeImport(lIndex: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2944
  deprecated

  #### Parameters

  - ##### lIndex: number

  #### Returns void

### removeRule

- removeRule(lIndex: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2945

  #### Parameters

  - ##### lIndex: number

  #### Returns void

Generated using TypeDoc